<?php $this->headTitle('Blog'); ?>

<h1>Blog</h1>
<p>
    <a class="btn btn-primary" href="<?= $this->url('post', ['action'=>'add']);?>"> Novo post</a>
</p>

<table class="table">
	<tr>
		<th>Title</th>
		<th>Action</th>
	</tr>
	<?php foreach ($posts as $post): ?>
		<tr>
			<td><?= $this->escapeHtml($post->title); ?></td>
			<td>
                <a class="btn btn-success" href="<?=$this->url('post', ['action'=>'edit', 'id'=>$post->id]); ?>">
                    Editar
                </a>
                <a class="btn btn-danger" href="<?=$this->url('post', ['action'=>'delete', 'id'=>$post->id]); ?>">
                    Deletar
                </a>
            </td>
		</tr>
	<?php endforeach; ?>
</table>